unit ShapeReg;

interface

procedure Register;

implementation

uses ESEditor,EShape,DsgnIntf, DsgnWnds, Classes, Forms;

type
  TEShapeEditor = class(TDefaultEditor)
  public
        procedure ExecuteVerb(Index: Integer); override;
        function GetVerb(Index: Integer): string; override;
        function GetVerbCount: Integer; override;
  end;

function TEShapeEditor.GetVerbCount: Integer;
begin
     Result := 1;
end;

function TEShapeEditor.GetVerb(Index: Integer): string;
begin
     if Index = 0 then
        Result := 'EShape Editor...'
     else Result := '';
end;

procedure TEShapeEditor.ExecuteVerb(Index: Integer);
var
   AForm : TForm;
begin
     if Index = 0 then
     begin
          AForm := GetParentForm(TEShape(Component));
          ExcuteESEditor(AForm);
     end;
end;

procedure Register;
begin
     RegisterComponents('YCS', [TEShape]);
     RegisterComponentEditor(TEShape, TEShapeEditor);
end;


end.
